classification
Title: Building without PYMALLOC fails
Type: compile error Stage: resolved
Components: Build Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, djc, hynek, ned.deily, python-dev, ronaldoussoren, ryao
Priority: normal Keywords: patch

Created on 2013-02-18 20:26 by ryao, last changed 2013-02-20 21:56 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
python-3.3.0-rename-uint.patch ryao, 2013-02-18 20:26 Patch to fix issue.
Messages (3)
msg182340 - (view) Author: Richard Yao (ryao) Date: 2013-02-18 20:26
The preprocessor definition for uint is only defined when building with PYMALLOC, which breaks builds without PYMALLOC. There is a Gentoo bug report on this issue:

https://bugs.gentoo.org/show_bug.cgi?id=458168

I have attached a patch that I wrote that resolves this.
msg182386 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-02-19 14:56
Why not define uint for the whole file regardless of PYMALLOC?
msg182559 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-20 21:56
New changeset 470350fd2831 by Benjamin Peterson in branch '3.3':
fix building without pymalloc (closes #17228)
http://hg.python.org/cpython/rev/470350fd2831

New changeset 67fa0643751d by Benjamin Peterson in branch '2.7':
fix building without pymalloc (closes #17228)
http://hg.python.org/cpython/rev/67fa0643751d

New changeset ea4a36c667ce by Benjamin Peterson in branch 'default':
merge 3.3 (#17228)
http://hg.python.org/cpython/rev/ea4a36c667ce
History
Date User Action Args
2013-02-20 21:56:15python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg182559

resolution: fixed
stage: resolved
2013-02-19 14:56:08brett.cannonsetnosy: + brett.cannon
messages: + msg182386
2013-02-19 08:36:25djcsetnosy: + djc
2013-02-19 08:36:12djcsetnosy: + ronaldoussoren, ned.deily, hynek
2013-02-18 20:26:17ryaocreate